Package weka.core.pmml.jaxbbindings

# Class NormContinuous

java.lang.Object
weka.core.pmml.jaxbbindings.NormContinuous

public class NormContinuous extends Object

Java class for NormContinuous element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="NormContinuous">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}LinearNorm" maxOccurs="unbounded" minOccurs="2"/>
             </sequence>
             <attribute name="field" use="required" type="{http://www.dmg.org/PMML-4_1}FIELD-NAME" />
             <attribute name="mapMissingTo" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
             <attribute name="outliers" type="{http://www.dmg.org/PMML-4_1}OUTLIER-TREATMENT-METHOD" default="asIs" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NormContinuous()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `String`
  `getField()`
  Gets the value of the field property.
  `List<LinearNorm>`
  `getLinearNorm()`
  Gets the value of the linearNorm property.
  `Double`
  `getMapMissingTo()`
  Gets the value of the mapMissingTo property.
  `OUTLIERTREATMENTMETHOD`
  `getOutliers()`
  Gets the value of the outliers property.
  `void`
  `setField(String value)`
  Sets the value of the field property.
  `void`
  `setMapMissingTo(Double value)`
  Sets the value of the mapMissingTo property.
  `void`
  `setOutliers(OUTLIERTREATMENTMETHOD value)`
  Sets the value of the outliers property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NormContinuous

    public NormContinuous()

- ## Method Details

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getLinearNorm

    public List<LinearNorm> getLinearNorm()
    Gets the value of the linearNorm property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the linearNorm property.

    For example, to add a new item, do as follows:

            getLinearNorm().add(newItem);

    Objects of the following type(s) are allowed in the list `LinearNorm`

  - ### getField

    public String getField()
    Gets the value of the field property.
    Returns:
      possible object is `String`

  - ### setField

    public void setField(String value)
    Sets the value of the field property.
    Parameters:
      `value` - allowed object is `String`

  - ### getMapMissingTo

    public Double getMapMissingTo()
    Gets the value of the mapMissingTo property.
    Returns:
      possible object is `Double`

  - ### setMapMissingTo

    public void setMapMissingTo(Double value)
    Sets the value of the mapMissingTo property.
    Parameters:
      `value` - allowed object is `Double`

  - ### getOutliers

    public OUTLIERTREATMENTMETHOD getOutliers()
    Gets the value of the outliers property.
    Returns:
      possible object is `OUTLIERTREATMENTMETHOD`

  - ### setOutliers

    public void setOutliers(OUTLIERTREATMENTMETHOD value)
    Sets the value of the outliers property.
    Parameters:
      `value` - allowed object is `OUTLIERTREATMENTMETHOD`